<form nz-form [formGroup]='form' style='margin-bottom: 8px'>
  <div nz-row [nzGutter]='[30,30]'>
    <!--    Form tìm kiếm -->

    <!--Đơn vị-->
    <div nz-col nzXs='12' [nzLg]='6'>
      <org-data-picker
        mbLabelText="{{'staffManager.workHisInformation.label.attributes.organization' | translate}}"
        formControlName='organizationId'
        [functionCode]="functionCode"
        [scope]="scope"
      >
      </org-data-picker>
    </div>

    <!--Đối tượng-->
    <div nz-col nzXs='12' [nzLg]='6'>
      <mb-select-check-able
        [mbShowAction]="false"
        [mbKeyValueStringType]="true"
        mbPlaceholder="{{'staffManager.label.employeeType' | translate}}"
        [mbDataSelects]='listEmpTypeCode'
        (mbEventEmit)="setFormValue($event, 'listEmpTypeCode')"
        mbLabelText="{{'staffManager.label.employeeType' | translate}}"
        formControlName='listEmpTypeCode'></mb-select-check-able>
    </div>

    <!--Chức danh-->
    <div nz-col nzXs='12' [nzLg]='6'>
      <mb-select-check-able
        [mbShowAction]="false"
        [mbKeyValueStringType]="true"
        mbPlaceholder="{{'staffManager.label.positionName' | translate}}"
        [mbDataSelects]='listPosition'
        (mbEventEmit)="setFormValue($event, 'listPositionId')"
        mbLabelText="{{'staffManager.label.positionName' | translate}}"
        formControlName='listPositionId'></mb-select-check-able>
    </div>

    <!--Số CMT-->
    <div nz-col nzXs='12' [nzLg]='6'>
      <mb-input-text formControlName='keyword' [mbMaxLength]='200'
                     mbPlaceholderText="{{'staffManager.recruit.keySearch' | translate}}"
                     mbLabelText="{{'staffManager.recruit.keySearch' | translate}}"></mb-input-text>
    </div>

    <!--Khu vực-->
    <div nz-col nzXs='12' [nzLg]='6' *ngIf="isApproval">
      <mb-select-check-able formControlName='listOrgRegions'
                            [mbKeyValueStringType]="true"
                            [mbShowAction]="false"
                            [mbDataSelects]='listOrgRegions'
                            (mbEventEmit)="setFormValue($event, 'listOrgRegions')"
                            mbPlaceholder="{{'staffManager.recruit.orgRegions' | translate }}"
                            mbLabelText="{{'staffManager.recruit.orgRegions' | translate}}"></mb-select-check-able>
    </div>

    <!--line-->
    <div nz-col nzXs='12' [nzLg]='6' *ngIf="isApproval">
      <mb-select-check-able formControlName='listLineId'
                            [mbKeyValueStringType]="true"
                            [mbDataSelects]='listLine'
                            [mbShowAction]="false"
                            (mbEventEmit)="setFormValue($event, 'listLineId')"
                            mbPlaceholder="{{'staffManager.recruit.line' | translate }}"
                            mbLabelText="{{'staffManager.recruit.line' | translate}}"></mb-select-check-able>
    </div>

    <!--Loại tuyển dụng-->
    <div nz-col nzXs='12' [nzLg]='6' *ngIf="showApprovalStatus">
      <mb-select formControlName='type'
                            [mbKeyValueStringType]="true"
                            [mbDataSelects]='listRecruitType'
                            mbPlaceholder="{{'staffManager.recruit.recruitmentType' | translate }}"
                            mbLabelText="{{'staffManager.recruit.recruitmentType' | translate}} <span class='label__required'> *</span>"></mb-select>
    </div>

    <!--Trạng thái phê duyệt-->
    <div nz-col nzXs='12' [nzLg]='6' *ngIf="showApprovalStatus">
      <mb-select-check-able formControlName='listApprovalStatus'
                            [mbKeyValueStringType]="true"
                            [mbShowAction]="false"
                            [mbDataSelects]='listApprovalStatus'
                            (mbEventEmit)="setFormValue($event, 'listApprovalStatus')"
                            mbPlaceholder="{{'staffManager.recruit.approvalStatus' | translate }}"
                            mbLabelText="{{'staffManager.recruit.approvalStatus' | translate}}"></mb-select-check-able>
    </div>

    <!--Tuyển dụng từ ngày-->
    <div nz-col nzXs='12' [nzLg]='6'>
      <mb-date-picker
        formControlName="fromDate"
        mbLabelText="{{'staffManager.recruit.fromDateRecruit' | translate}}"
        mbPlaceholderText="{{'staffManager.recruit.fromDateRecruit' | translate}}"
      ></mb-date-picker>
    </div>

    <!--Tuyển dụng đến ngày-->
    <div nz-col nzXs='12' [nzLg]='6'>
      <mb-date-picker
        formControlName="toDate"
        mbLabelText="{{'staffManager.recruit.toDateRecruit' | translate}}"
        mbPlaceholderText="{{'staffManager.recruit.toDateRecruit' | translate}}"
      ></mb-date-picker>
    </div>

    <!--Trạng thái làm việc-->
    <div nz-col nzXs='12' [nzLg]='6' *ngIf="!showApprovalStatus">
      <mb-select-check-able formControlName='listStatus'
                            [mbKeyValueStringType]="true"
                            [mbShowAction]="false"
                            [mbDataSelects]='statusEmployeeList'
                            (mbEventEmit)="setFormValue($event, 'listStatus')"
                            mbPlaceholder="{{'staffManager.recruit.status' | translate }}"
                            mbLabelText="{{'staffManager.recruit.status' | translate}}"></mb-select-check-able>
    </div>

    <!--    End Form tìm kiếm-->
  </div>
  <div nz-row [nzGutter]='[30,30]'>
    <div nz-col nzXs='24' nzLg='24'>
      <ng-content select='.btn'></ng-content>
    </div>
  </div>
</form>
